unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses wins;
{$R *.DFM}
Procedure Delay(howlong:word);
{waits HOWLONG ms}
{ Special Thanks to Eric M. Lawrence from Delta Programming Group
 for this procedure}
var oldtick:longint;
begin
     oldtick:=gettickcount;
     while (gettickcount-howlong)<oldtick do
           application.processmessages;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     WinExec('Notepad.exe', 1);
     Delay(1000);
     WinTitle('Not', 'First - by Wins');
     Delay(1000);

     WinMaximize('First');
     Delay(1000);


     WinExec('Notepad.exe', 1);
     Delay(1000);
     WinTitle('Not', 'Second - by Wins');
     Delay(1000);

     WinRestore('First');
     Delay(1000);

     WinExec('Notepad.exe', 1);
     Delay(1000);
     WinTitle('Not', 'Third - by Wins');
     Delay(1000);

     WinExec('Notepad.exe', 1);
     Delay(1000);
     WinTitle('Not', 'Fourth - by Wins');
     Delay(1000);

     With Screen do
     begin
          WinMove('First', 0, 0, Width div 2,Height div 2);
          SendKeys('First', 'First Window Moved and Resized~');
          Delay(1000);
          WinMove('Second',Width div 2, 0, Width div 2, Height div 2);
          SendKeys('Second', 'Second Window Moved and Resized~');
          Delay(1000);
          WinMove('Third', 0, Height div 2, Width div 2,Height div 2);
          SendKeys('Third', 'Third Window Moved and Resized~');
          Delay(1000);
          WinMove('Fourth', Width div 2, Height div 2, Width div 2,Height div 2);
          SendKeys('Fourth', 'Fourth Window Moved and Resized~');
          Delay(1000);
          WinMove('Fourth', Width div 4, Height div 4, Width div 2,Height div 2);
     end;

     WinHide('First');
     WinHide('Second');
     WinHide('Third');
     SendKeys('Fourth', 'Other windows are hidden~');
     Delay(1000);

     WinTopMost('Fourth', True);
     SendKeys('Fourth', 'This window is always on top.~');
     Delay(1000);

     WinActivate('First');
     WinActivate('Second');
     WinActivate('Third');
     SendKeys('Fourth', 'Now, unhide others again.~');
     Delay(1000);

     SendKeys('First', 'Fourth one is the top most~');
     Delay(1000);
     SendKeys('Second', 'Fourth one is the top most~');
     Delay(1000);
     WinTopMost('Fourth', False);
     SendKeys('Third', 'Fourth one is no more the top most~');
     Delay(1000);

     WinMinimize('First');
     SendKeys('Fourth', 'First Window is Minimized!~');
     Delay(1000);

     WinMaximize('Second');
     SendKeys('Fourth', 'Second Window is Maximized!~');
     Delay(1000);

     SendKeys('First', 'Closing this window with <Alt-F4>, <RightCrsr>, <Enter> keys');
     Delay(2000);
     SendKeys('First', '%{F4}{R}~');
     Delay(1000);
     SendKeys('Second', 'Closing this window with <Alt-F4>, <RightCrsr>, <Enter> keys');
     Delay(2000);
     SendKeys('Second', '%{F4}{RT}~');
     Delay(1000);
     SendKeys('Third', 'Closing this window');
     Delay(2000);
     SendKeys('Third', '%{F4}{RT}~');
     Delay(1000);
     WinClose('Fourth');

     Close;
end;

end.
